Qt 5.11 | Qt Multimedia | C++ Classes | QMediaRecorderControl

Qt 5.11.3 Reference Documentation

# QMediaRecorderControl Class

The QMediaRecorderControl class provides access to the recording functionality of a QMediaService. More...

Header: | #include <QMediaRecorderControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

virtual | ~QMediaRecorderControl()
virtual void | applySettings() = 0
virtual qint64 | duration() const = 0
virtual bool | isMuted() const = 0
virtual QUrl | outputLocation() const = 0
virtual bool | setOutputLocation(const QUrl &location) = 0
virtual QMediaRecorder::State | state() const = 0
virtual QMediaRecorder::Status | status() const = 0
virtual qreal | volume() const = 0

## Public Slots

virtual void | setMuted(bool muted) = 0
virtual void | setState(QMediaRecorder::State state) = 0
virtual void | setVolume(qreal volume) = 0

## Signals

void | actualLocationChanged(const QUrl &location)
void | durationChanged(qint64 position)
void | error(int error, const QString &errorString)
void | mutedChanged(bool muted)
void | stateChanged(QMediaRecorder::State state)
void | statusChanged(QMediaRecorder::Status status)
void | volumeChanged(qreal volume)

## Protected Functions

| QMediaRecorderControl(QObject *parent = nullptr)

## Macros

| QMediaRecorderControl_iid

## Detailed Description

The QMediaRecorderControl class provides access to the recording functionality of a QMediaService.

Generally you will use the QMediaRecorder class in application code - this class is mostly used when implementing a new QMediaService or if there is access to specific low level functionality not otherwise present in QMediaRecorder.

If a QMediaService can record media it will implement QMediaRecorderControl. This control provides a means to set the output location, and record, pause and stop recording via the setState() method. It also provides feedback on the duration of the recording.

The interface name of QMediaRecorderControl is `org.qt-project.qt.mediarecordercontrol/5.0` as defined in QMediaRecorderControl_iid.

See also QMediaService::requestControl() and QMediaRecorder.

## Member Function Documentation

### `[protected]` QMediaRecorderControl::QMediaRecorderControl(QObject *parent = nullptr)

Constructs a media recorder control with the given parent.

### `[virtual]` QMediaRecorderControl::~QMediaRecorderControl()

Destroys a media recorder control.

### `[signal]` void QMediaRecorderControl::actualLocationChanged(const QUrl &location)

### `[pure virtual]` void QMediaRecorderControl::applySettings()

### `[pure virtual]` qint64 QMediaRecorderControl::duration() const

### `[signal]` void QMediaRecorderControl::durationChanged(qint64 position)

### `[signal]` void QMediaRecorderControl::error(int error, const QString &errorString)

### `[pure virtual]` bool QMediaRecorderControl::isMuted() const

### `[signal]` void QMediaRecorderControl::mutedChanged(bool muted)

### `[pure virtual]` QUrl QMediaRecorderControl::outputLocation() const

See also setOutputLocation().

### `[pure virtual slot]` void QMediaRecorderControl::setMuted(bool muted)

See also isMuted().

### `[pure virtual]` bool QMediaRecorderControl::setOutputLocation(const QUrl &location)

See also outputLocation().

### `[pure virtual slot]` void QMediaRecorderControl::setState(QMediaRecorder::State state)

See also state().

### `[pure virtual slot]` void QMediaRecorderControl::setVolume(qreal volume)

See also volume().

### `[pure virtual]` QMediaRecorder::State QMediaRecorderControl::state() const

See also setState().

### `[signal]` void QMediaRecorderControl::stateChanged(QMediaRecorder::State state)

### `[pure virtual]` QMediaRecorder::Status QMediaRecorderControl::status() const

### `[signal]` void QMediaRecorderControl::statusChanged(QMediaRecorder::Status status)

### `[pure virtual]` qreal QMediaRecorderControl::volume() const

See also setVolume().

### `[signal]` void QMediaRecorderControl::volumeChanged(qreal volume)

## Macro Documentation

### QMediaRecorderControl_iid

`org.qt-project.qt.mediarecordercontrol/5.0`

Defines the interface name of the QMediaRecorderControl class.